import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetDataPropsParams, GetTokenBalancesParams } from '../../../position/template/contract-position.template.types';
import { SingleStakingFarmDataProps, SingleStakingFarmDefinition, SingleStakingFarmTemplateContractPositionFetcher } from '../../../position/template/single-staking.template.contract-position-fetcher';
import { PlutusContractFactory, PlutusFarmPlsDpx } from '../contracts';
export declare class ArbitrumPlutusFarmPlsDpxContractPositionFetcher extends SingleStakingFarmTemplateContractPositionFetcher<PlutusFarmPlsDpx> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: PlutusContractFactory;
    groupLabel: string;
    constructor(appToolkit: IAppToolkit, contractFactory: PlutusContractFactory);
    getContract(address: string): PlutusFarmPlsDpx;
    getFarmDefinitions(): Promise<SingleStakingFarmDefinition[]>;
    getRewardRates({ contract }: GetDataPropsParams<PlutusFarmPlsDpx, SingleStakingFarmDataProps>): Promise<import("ethers").BigNumber[]>;
    getStakedTokenBalance({ contract, address }: GetTokenBalancesParams<PlutusFarmPlsDpx>): Promise<import("ethers").BigNumber>;
    getRewardTokenBalances({ contract, address }: GetTokenBalancesParams<PlutusFarmPlsDpx>): Promise<[import("ethers").BigNumber, import("ethers").BigNumber, import("ethers").BigNumber, import("ethers").BigNumber, import("ethers").BigNumber] & {
        _pendingPls: import("ethers").BigNumber;
        _pendingPlsDpx: import("ethers").BigNumber;
        _pendingPlsJones: import("ethers").BigNumber;
        _pendingDpx: import("ethers").BigNumber;
        _pendingRdpx: import("ethers").BigNumber;
    }>;
}
